Bug 220325 - removable ntfs HDD not automounted using ntfs-3g
removable ntfs HDD not automounted using ntfs-3g
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-20 08:55 EST by Stephen Binks
Modified: 2013-03-05 22:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Binks 2006-12-20 08:55:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
When a removable firewire hdd is plugged in, the disk partitions are listed in Nautilus but when selected, a warning dialog appears reporting "Cannot mount volume. The volume 'volume_name' uses the ntfs file system which is not supported by your system."
"#ntfs-3g device mountpoint" works correctly and makes the partition available in nautilus.

Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc2.36 ntfs-3g-0-0.5.20070920.fc6 fuse-2.6.0-2.fc6

How reproducible:
Always


Steps to Reproduce:
1.Boot into fc6 and log in as normal user
2.Plug in and power on firewire ntfs HDD
3.

Actual Results:
OS generates warning dialogs for each partition reporting
"Cannot mount volume. The volume 'volume_name' uses the ntfs file system which is not supported by your system."
Partitions become visible in Nautilus "Computer" view but present the same dialog if clicked.
Partitions can be manually mounted to pre-existing mountpoints using ntfs-3g commandline.

Expected Results:
ntfs partitions should be automatically mounted under /media/ as per other removable media

Additional info:
ntfs-3g.org seems to be aware of the problem as demonstrated by
http://forum.ntfs-3g.org/viewtopic.php?t=56
but refers the issue back to the distribution.
Comment 1 Ian Kent 2006-12-20 09:32:07 EST
(In reply to comment #0)
> Description of problem:
> When a removable firewire hdd is plugged in, the disk partitions are listed in
Nautilus but when selected, a warning dialog appears reporting "Cannot mount
volume. The volume 'volume_name' uses the ntfs file system which is not
supported by your system."

Probably not an autofs problem.
Perhaps hald will accept this.
Comment 2 David Zeuthen 2007-01-03 11:10:22 EST
This feature is planned for gnome-mount for FC7 so I'm adjusting Version to
'devel'. I'll follow up when it hits Rawhide. 

(hal is only a mechamism so gnome-mount just needs to pass file_system='ntfs-3g'
as a parameter to the Mount() method via D-Bus)
Comment 3 Bug Zapper 2008-04-03 14:48:29 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:03:20 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.